Mailmus

Invitations

GET
/projects/{projectId}/b2b/organizations/{id}/invitations
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Query Parameters

status*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/b2b/organizations/string/invitations?status=string"
[  {    "id": "string",    "organizationId": "string",    "projectId": "string",    "email": "string",    "role": "OWNER",    "status": "PENDING",    "invitedByCustomerId": "string",    "expiresAt": "2019-08-24T14:15:22Z",    "acceptedAt": "2019-08-24T14:15:22Z",    "revokedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z"  }]
POST
/projects/{projectId}/b2b/organizations/{id}/invitations
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/b2b/organizations/string/invitations" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
{  "id": "string",  "organizationId": "string",  "projectId": "string",  "email": "string",  "role": "OWNER",  "status": "PENDING",  "invitedByCustomerId": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "acceptedAt": "2019-08-24T14:15:22Z",  "revokedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z"}
POST
/projects/{projectId}/b2b/organizations/{id}/invitations/{invitationId}/resend
AuthorizationBearer <token>

In: header

Path Parameters

id*string
invitationId*string
projectId*string

Response Body

application/json

curl -X POST "https://example.com/projects/string/b2b/organizations/string/invitations/string/resend"
{  "id": "string",  "organizationId": "string",  "projectId": "string",  "email": "string",  "role": "OWNER",  "status": "PENDING",  "invitedByCustomerId": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "acceptedAt": "2019-08-24T14:15:22Z",  "revokedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z"}
DELETE
/projects/{projectId}/b2b/organizations/{id}/invitations/{invitationId}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
invitationId*string
projectId*string

Response Body

application/json

curl -X DELETE "https://example.com/projects/string/b2b/organizations/string/invitations/string"
{  "id": "string",  "organizationId": "string",  "projectId": "string",  "email": "string",  "role": "OWNER",  "status": "PENDING",  "invitedByCustomerId": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "acceptedAt": "2019-08-24T14:15:22Z",  "revokedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z"}
POST
/projects/{projectId}/b2b/invitations/accept
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/b2b/invitations/accept" \  -H "Content-Type: application/json" \  -d '{    "token": "string"  }'
{  "id": "string",  "organizationId": "string",  "customerId": "string",  "role": "OWNER",  "roles": [    "org:admin"  ],  "source": "API",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "customer": {    "id": "string",    "email": "string",    "externalId": "user_8291",    "identitySource": "MAILMUS_AUTH"  }}